require("Script.函数.功能函数")
require("Script.函数.模块函数")
require("Script.函数.任务函数")
require("Script.函数.组队剧情任务")
require("Script.函数.剧情任务提交")
require("Script.函数.全局")
require("Script.函数.静态成员")

重新加载("Script.函数.功能函数")
重新加载("Script.函数.模块函数")
重新加载("Script.函数.任务函数")
重新加载("Script.函数.组队剧情任务")
重新加载("Script.函数.剧情任务提交")
重新加载("Script.函数.全局")






function L加载配置()
	
	g常规设置.屏蔽不打的怪物=L常规配置("常规列表-通用设置-屏蔽不打的怪物")
	if	g常规设置.屏蔽不打的怪物==""	then 
		L屏蔽指定怪物("圖貞,羅格,塔尼姆,艾瑪爾,丹尼格,關南,塔尼姆,艾瑪爾")
	else 
		L屏蔽指定怪物("圖貞,羅格,塔尼姆,艾瑪爾,丹尼格,關南,塔尼姆,艾瑪爾,"..g常规设置.屏蔽不打的怪物)
	end
	g常规设置.剧情刷图=L常规配置("常规列表-练级设置-剧情刷图")
	g常规设置.跟随角色=L常规配置("常规列表-练级设置-跟随角色")



	g常规设置.回城等待=L组队配置("组队列表-1-回城等待")

	g常规设置.集合=L组队配置("组队列表-1-集合")

	g常规设置.汇报当前任务=L组队配置("组队列表-1-汇报当前任务")
	g常规设置.原地等待=L组队配置("组队列表-1-原地等待")

	g常规设置.复活跟随=L组队配置("组队列表-1-跟随(小号复活小号)")
	
	g常规设置.直接复活=L组队配置("组队列表-1-直接复活")

	g常规设置.死亡次数超过进行召唤大号=Ltonumber(L组队配置("组队列表-1-死亡次数超过进行召唤大号"))


	g常规设置.仓库页最大读取页数=Ltonumber(L常规配置("常规列表-通用设置-仓库页最大读取页数"))

	g常规设置.公会仓库页最大读取页数=Ltonumber(L常规配置("常规列表-通用设置-公会仓库页最大读取页数"))

	
	L仓库页最大读取页数(g常规设置.仓库页最大读取页数)
	L公会仓库页最大读取页数(g常规设置.公会仓库页最大读取页数)

end



L加载配置()
local 返回一次藏身处=1
local 当前地图名称=""
while	To(200)==1		do 
	local 地图Ptr=L地图信息()

	if	L进入游戏()==0			then --
		L信息("正在进入游戏中....")
		goto Next
	end

	L自动邀请公会()
::Next::
	L延时(100)
end

